更新记录

1.0.1(2021-05-26)

导入发现覆盖目录的问题

1.0.0(2021-05-25)

支持5+app,app,其他没测过。

查看更多

平台兼容性

Vue2 Vue3
×
App 快应用 微信小程序 支付宝小程序 百度小程序 字节小程序 QQ小程序
app-vue app-nvue × × × × × ×
钉钉小程序 快手小程序 飞书小程序 京东小程序
× × × ×
H5-Safari Android Browser 微信浏览器(Android) QQ浏览器(Android) Chrome IE Edge Firefox PC-Safari
× × × × ×

说明

此插件分为wgt包更新、整包更新。必须在5+app,app真机上调用。

特性

  • wgt更新完自动重启。
  • 调用自己后台版本更新接口,与前端本地版本号对比。接口返回wgt包,整包,优先更新wgt包,如果想要整包更新时,接口不返回wgt包即可
  • 更新代码在 updateVersion 组件内,mask是遮罩组件,根据自己需求改也可

快速上手

  1. 引入插件

    // 引入插件
    import updataModel from '@/components/updateVersion.vue'
  2. components注册

    // 注册组件
    components: {
        updataModel
    },
  3. methods

// 检测版本
    checkVersion() {
        // app或5+app内可用
        //#ifdef APP-PLUS  
        this.$refs.updataModel.updateVersion()
        //#endif
    },

隐私、权限声明

1. 本插件需要申请的系统权限列表:

2. 本插件采集的数据、发送的服务器地址、以及数据用途说明:

3. 本插件是否包含广告,如包含需详细说明广告表达方式、展示频率:

许可协议

MIT协议

使用中有什么不明白的地方,就向插件作者提问吧~ 我要提问